/*
 * Copyright (c) 2018-2020 Blacknet Team
 *
 * Licensed under the Jelurida Public License version 1.1
 * for the Blacknet Public Blockchain Platform (the "License");
 * you may not use this file except in compliance with the License.
 * See the LICENSE.txt file at the top-level directory of this distribution.
 */

 * {
    margin: 0;
    padding: 0;
    font-family: "Titillium Web", Arial, sans-serif;
    box-sizing: content-box;
}

:root {
    --darker-grey-bg: #2D2D2D;
    --lighter-grey-bg: #3B3B3B;
    --lighter-grey-border: #2f2f2f;
    --gold-text: #E8BA3F;
    --grey-text: #ADADAD;
}

body {
    background: var(--darker-grey-bg);
}

.container{
    
    overflow: hidden;
}
header {
    display: table;
    background: linear-gradient(to bottom, #2D2D2D, #323232);
    width: 100%;
    border-bottom: 1px solid #141414;
    z-index: 98;
}
.account-input a{
    font-size: 14px;
}
.account_text{
    text-align: center;
}

.logo {
    float: left;
    height: 64px;
    padding-left: 80px;
    overflow: hidden;
    line-height: 64px;
    color: var(--gold-text);
    font-size: 32px;
    font-weight: bold;
    white-space: nowrap;
    text-decoration: none;
    position: relative;
    background: url('../images/logo.png') no-repeat;
    background-size: 40px 40px;
    background-position: 30px 50%;
}

header .network {
    float: right;
    height: 32px;
    margin-top: 16px;
    background: var(--lighter-grey-bg);
    color: #fff;
    padding: 0 5px;
    border-radius: 3px;
    margin-right: 16px;
    /* color: var(--gold-text);; */
    line-height: 32px;
    font-size: 14px;
}
.network p{
    line-height: 32px;
}

.strong {
    color: var(--gold-text);
}

.main-menu {
    width: 220px;
    float: left;
    overflow: hidden;
    color: var(--grey-text);
    font-size: 14px;
    background: linear-gradient(left right, #3d3d3d, #222);
}

.menu li {
    height: 40px;
    line-height: 40px;
    padding-left: 20px;
}

.menu li:hover {
    cursor: pointer;
}

.menu li:hover a {
    color: var(--gold-text);
}

.menu li a {
    color: var(--grey-text);
    text-decoration: none;
    display: inline-block;
    width: 100%;
}

.menu li.active {
    background-color: var(--lighter-grey-bg);
    overflow: hidden;
    border-right: 1px solid var(--lighter-grey-bg);
}

.menu li.active a {
    color: var(--gold-text);
}

.no_out_leases_msg{
    display: none;
}

.rightpanel {
    padding: 10px 20px;
    position: absolute;
    color: var(--grey-text);
    left: 220px;
    right: 0;
    bottom: 0;
    top: 64px;
    background: var(--lighter-grey-bg);
    margin-top: 1px;
    /* border-left: 1px solid var(--lighter-grey-border); */
    overflow-y: scroll;
}
.rightpanel::-webkit-scrollbar {
    background-color:transparent;
    width:16px
}

.rightpanel::-webkit-scrollbar-track {
    background-color:transparent
}

.rightpanel::-webkit-scrollbar-thumb {
    background-color: var(--darker-grey-bg);
}

.rightpanel::-webkit-scrollbar-button {display:none}

.rightpanel>div {
    display: none;
    padding-top: 15px;
}

.rightpanel .info {
    word-break: break-all;
    font-size: 14px;
}

.rightpanel .info h3 {
    color: var(--gold-text);
    margin: 10px 0 5px;
    padding: 5px 0;
    font-size: 14px;
    border-bottom: 1px solid #ADADAD;
}

.rightpanel .info p {
    margin: 0 0 5px;
}
.form .field-row{
    display: flex;
    align-items: center;
}

.field-row {
    max-width: 666px;
    padding: 10px 15px;
}

.field-row p{
    word-break: break-all;
    font-size: 12px;
}

.field-row-outer.hidden{
    visibility: hidden;
}

.form {
    border: 1px solid;
    border-color: var(--darker-grey-bg);
    margin: 0 0 1em;
    width: 666px;
    overflow: hidden;
    padding-bottom: 15px;
}

legend {
    color: var(--grey-text);
    font-size: 14px;
    background: var(--darker-grey-bg);
    padding: 10px 10px;
    overflow: hidden;
    width: 100%;
}

label {
    color: var(--grey-text);
    flex-basis: 120px;
    font-size: 14px;
    flex-grow: 1;
    max-width: 120px;
}

label strong {
    color: var(--gold-text);
    font-size: 12px;
}

input[type="text"], input[type="password"], input[type="number"], select {
    border: 1px solid var(--darker-grey-bg);
    border-radius: 4px;
    height: 20px;
    width: 80%;
    padding: 5px 10px;
    background-color: var(--grey-text);
    flex-grow: 8;
    font-size: 14px;
}

select{
    height: 30px;
    display: inline-block;
}

input:focus {
    border: 1px solid var(--gold-text);
}

button {
    line-height: 1.499;
    position: relative;
    display: inline-block;
    font-weight: 400;
    white-space: nowrap;
    text-align: center;
    background-image: none;
    border: 1px solid transparent;
    -webkit-box-shadow: 0 2px 0 rgba(231, 162, 14, 0.02);
    box-shadow: 0 2px 0 rgba(0, 0, 0, 0.015);
    cursor: pointer;
    -webkit-transition: all .3s cubic-bezier(.645, .045, .355, 1);
    transition: all .3s cubic-bezier(.645, .045, .355, 1);
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    height: 32px;
    padding: 0 15px;
    font-size: 14px;
    border-radius: 4px;
    color: rgba(0, 0, 0, 0.65);
    background-color: #ddd;
    border-color: #d9d9d9;
    -webkit-writing-mode: horizontal-tb !important;
}

.form button, .staking button{
    color: var(--gold-text);
    background-color: var(--darker-grey-bg);
    border: none;
    float: right;
    margin-right: 15px;
}
.staking button{
    margin-left: 12px;
}
.newaccount button{
    color: var(--gold-text);
    background-color: var(--darker-grey-bg);
    width: 100px;
    float: right;
    border: 1px solid var(--gold-text);
}
button.v2{
    color: var(--gold-text);
    background-color: var(--darker-grey-bg);
    width: 100px;
    border: 1px solid var(--gold-text);
}

input:read-only {
    background-color: var(--lighter-grey-bg);
    color: var(--gold-text);
    border: none;
    font-size: 14px;
}

input:-moz-read-only {
    background-color: var(--lighter-grey-bg);
    color: var(--gold-text);
    border: none;
    font-size: 14px;
}

/* input:focus {
box-shadow: inset 0 0 4px #000000;
} */

.overview table {
    margin-bottom: 25px;
}

table {
    border-collapse: collapse;
    /* border: 1px solid var(--grey-text); */
    margin-top: 10px;
    min-width: 800px;
}

thead td{
    color: var(--grey-text);
    padding: 10px;
    text-align: center;
    font-size: 14px;
    background-color: var(--darker-grey-bg);
}


tbody td, tfoot td {
    color: var(--grey-text);
    padding: 5px 10px;
    word-wrap: break-word;
    font-size: 14px;
    border-bottom: 1px solid #5B5B5B;
    height: 24px;
    line-height: 24px;
    vertical-align: top;
}

.tx-foot tr{
    display: none;
}

#tx-table{
    margin-top: 0;
}

.filter a{
    padding: 0 10px;
    line-height: 32px;
    display: inline-block;
    margin-top: 20px;
    font-size: 14px;
}
.filter a.active{
    background: #2D2D2D;
}
table td.right {
    text-align: right;
}
table td.left{
    text-align: left;
}
.text-center{
    text-align: center;
}

td.status{
    font-size: 12px;
}
td.message p{
    max-width: 200px;
    font-size: 12px;
    line-height: 16px;
}

.mask {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: var(--darker-grey-bg);
    opacity: 0.9;
    z-index: 100;
    /* display: none; */
}

.mask.init {
    background: #2A2A2A;
    opacity: 1;
}

.notification{
    position: absolute;
    top: 20px;
    right: 20px;
    z-index: 80;
    border: 1px solid #575557;
    background-color: #383638;
    width: 400px;
    font-size: 12px;
    border-radius: 5px;
    padding: 10px;
    display: none;
}
.notification p{
    color: #FFFFFF;
    line-height: 1.6;
}

.dialog {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 450px;
    height: 300px;
    margin: -150px 0 0 -225px;
    background: #2A2A2A;
    z-index: 101;
    color: #999EA3;
    border: 1px solid #1D1D1D;
    border-radius: 3px;
    font-size: 12px;
    padding: 15px 20px;
    overflow: hidden;
}
.send .form{
    width: 740px;
}

.dialog.send {
    display: none;
}

.dialog.send .body {
    height: 260px;
}

.dialog .btns {
    margin-top: 10px;
}

.dialog p {
    font-size: 14px;
    word-break: break-all;
    line-height: 1.5;
}

.dialog .btns button {
    float: right;
}

button.cancel {
    background: transparent;
    border: 1px solid #575757;
    /* color: #90B2EF; */
    color: #575757;
    margin-right: 20px;
}

input:focus, button:focus {
    outline: 0;
}

.dialog.password {
    width: 500px;
    height: 150px;
    padding: 10px 20px;
    margin-left: -250px;
    margin-top: -75px;
    display: none;
}

.dialog.password .body {
    margin-top: 10px;
    line-height: 1.5;
}

.dialog.password input {
    height: 24px;
    font-size: 12px;
    width: 490px;
    padding: 2px 5px;
}

.send-text{
    position: relative;
}
.send-text .address-book{
    position: absolute;
    right: 20px;
    font-size: 24px;
}

.contacts-dialog.dialog{
    width: 710px;
    margin-left: -375px;
    display: none;
    height: auto;
    margin-top: 0;
    top: 100px;
}
#contact-table{
    width: 100%;
    min-width: 0;
    margin-bottom: 30px;
}
#contact-table thead tr td{
    text-align: left;
}
#contact-table tbody tr{
    cursor: pointer;
}
#contact-table tbody tr:hover td{
    color: #F75535;
}

.dialog.confirm .body{
    /* text-align: center; */
    line-height: 25px;
    font-size: 14px;
    word-break: break-all;
}

.dialog.confirm .btns{
    text-align: center;
    position: absolute;
    bottom: 20px;
    width: 100%;
}

.dialog.confirm .btns button{
    float: none;
}

.dialog.confirm{
    width: 510px;
    height: 240px;
    padding: 10px 20px;
    margin-left: -255px;
    margin-top: -120px;
    display: none;
}

.form pre {
    width: 80%;
    height: 55px;
    flex-grow: 8;
}
.add-peer{
    margin-top: 50px;
    width: 768px;
}
.add-peer button{
    float: right;
}

.dialog.account {
    text-align: center;
    width: 800px;
    height: 360px;
    margin: -200px 0 0 -400px;
    border: none;
    border-radius: none;
}
.dialog.newaccount{
    display: none;
    width: 700px;
    height: 260px;
    margin: -130px 0 0 -350px;
}

.dialog.account h1 {
    color: var(--gold-text);
}

.dialog.account button {
    margin-top: 20px;
}

.spinner {
    margin: 0 auto;
    width: 50px;
    height: 40px;
    text-align: center;
    font-size: 10px;
}

.spinner>div {
    background-color: var(--gold-text);
    height: 100%;
    width: 6px;
    display: inline-block;
    -webkit-animation: sk-stretchdelay 1.2s infinite ease-in-out;
    animation: sk-stretchdelay 1.2s infinite ease-in-out;
}

.spinner .rect2 {
    -webkit-animation-delay: -1.1s;
    animation-delay: -1.1s;
}

.spinner .rect3 {
    -webkit-animation-delay: -1.0s;
    animation-delay: -1.0s;
}

.spinner .rect4 {
    -webkit-animation-delay: -0.9s;
    animation-delay: -0.9s;
}

.spinner .rect5 {
    -webkit-animation-delay: -0.8s;
    animation-delay: -0.8s;
}

@-webkit-keyframes sk-stretchdelay {
    0%, 40%, 100% {
        -webkit-transform: scaleY(0.4)
    }
    20% {
        -webkit-transform: scaleY(1.0)
    }
}

@keyframes sk-stretchdelay {
    0%, 40%, 100% {
        transform: scaleY(0.4);
        -webkit-transform: scaleY(0.4);
    }
    20% {
        transform: scaleY(1.0);
        -webkit-transform: scaleY(1.0);
    }
}

.account-input {
    display: none;
}

a, a:active {
    color: #3CA2A2;
    text-decoration: none;
}


.progress-stats, .progress-stats-text{
    position: fixed;
    bottom: 10px;
    right: 10px;
    z-index: 1000;
    display: none;
}
.progress-stats-text{
    z-index: 1001;
    color: #eee;
    height: 20px;
    width: 200px;
    font-size: 12px;
    line-height: 20px;
    text-align: center;
}
.progress{
    display: flex;
    height: 20px;
    overflow: hidden;
    width: 200px;
    background-color: var(--darker-grey-bg);
    border-radius: 2px;
}

.progress-bar {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    white-space: nowrap;
    background-color: var(--gold-text);
    transition: width .6s ease;
}

.rightpanel .about{
    padding-left: 180px;
    background: url("../images/logo.png") no-repeat;
    padding-bottom: 100px;
}
p{
    line-height: 1.8;
}

.rightpanel .about p{
    margin-bottom: 30px;
    line-height: 1.8;
}
dl dt{
    width: 100px;
}
dl dd.current{
    color: var(--gold-text);
}

dl dt, dl dd{
    display: inline-block;
    font-size: 12px;
    line-height: 18px;
}

tr.undis{
    display: none;
}

#tx-list tr.preview{
    cursor: pointer;
}


#tx-list tr.preview td.noborder{
    border-bottom: none;
}



/* blacknet-message */
.blacknet-message{
    width: 100%;
    z-index: 102;
    position: fixed;
    top: 16px;
    left: 0;
    pointer-events: none;
}

.blacknet-message-notice{
    text-align: center;
}

.blacknet-message-notice-content {
    display: inline-block;
    background: var(--gold-text);
    margin-bottom: 16px;
    padding: 8px 10px;
    font-size: 14px;
    border-radius: 3px;
    color: var(--darker-grey-bg);
    text-align: center;
    box-shadow: var(--darker-grey-bg) 0 0 10px;
    position: relative;
}

.blacknet-message-notice-content .fa-check-circle{
    color: green;
    margin-right: 3px;
}

.blacknet-message-notice-content .fa-times-circle{
    color: red;
    margin-right: 3px;
}

.blacknet-message-notice-content .fa-info-circle{
    color: yellow;
    margin-right: 3px;
}

#peer-table{
    margin-bottom: 20px;
}
ul,li{
    list-style: none;;
}
.encrypted_chat *, .encrypted_chat *:before, .encrypted_chat *:after {
  box-sizing: border-box;
}

.encrypted_chat {
  background: var(--lighter-grey-bg);
  font: 14px/20px "Lato", Arial, sans-serif;
  padding: 40px 0;
  color: white;
}
.encrypted_chat .container {

    width: 750px;
  background: #444753;
  border-radius: 5px;
}
.encrypted_chat .people-list {
  width: 260px;
  float: left;
}
.encrypted_chat .people-list .search {
  padding: 20px;
}
.encrypted_chat .people-list input {
  border-radius: 3px;
  border: none;
  padding: 14px;
  color: white;
  background: #6A6C75;
  width: 90%;
  font-size: 14px;
}
.encrypted_chat .people-list .fa-search {
  position: relative;
  left: -25px;
}
.encrypted_chat .people-list ul {
  height: 570px;
  padding-top: 20px;
}
.encrypted_chat .people-list ul li {
  padding-bottom: 20px;
  padding: 10px 20px;
  cursor: pointer;
}

.encrypted_chat .people-list ul li.active{
    background: #F2F5F8;
}

.encrypted_chat .people-list ul li.active .name{
    color: var(--gold-text);
}
.qrcode{
    background:#3B3B3B;width: 100px;height: 100px
}

.encrypted_chat .people-list img {
  float: left;
}
.encrypted_chat .people-list .chatabout {
  float: left;
  margin-top: 8px;
}
.encrypted_chat .people-list .chatabout {
  padding-left: 8px;
}
.encrypted_chat .people-list .status {
  color: #92959E;
}
.encrypted_chat .chat {
  width: 490px;
  float: left;
  background: #F2F5F8;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
  color: #434651;
}
.encrypted_chat .chat .chat-header {
  padding: 20px;
  border-bottom: 2px solid white;
}
.encrypted_chat .chat .chat-header img {
  float: left;
}
.encrypted_chat .chat .chat-header .chat-about {
  float: left;
  padding-left: 10px;
  margin-top: 6px;
}
.encrypted_chat .chat .chat-header .chat-with {
  font-weight: bold;
  font-size: 16px;
}
.encrypted_chat .chat .chat-header .chat-num-messages {
  color: #92959E;
}
.encrypted_chat .chat .chat-header .fa-star {
  float: right;
  color: #D8DADF;
  font-size: 20px;
  margin-top: 12px;
}
.encrypted_chat .chat .chat-history {
  padding: 30px 30px 20px;
  border-bottom: 2px solid white;
  overflow-y: scroll;
  height: 575px;
}
.encrypted_chat .chat .chat-history .message-data {
  margin-bottom: 15px;
}
.encrypted_chat .chat .chat-history .message-data-time {
  color: #a8aab1;
  padding-left: 6px;
}
.encrypted_chat .chat .chat-history .message {
  color: white;
  padding: 18px 20px;
  line-height: 26px;
  font-size: 16px;
  border-radius: 7px;
  margin-bottom: 30px;
  width: 90%;
  position: relative;
}
.encrypted_chat .chat .chat-history .message:after {
  bottom: 100%;
  left: 7%;
  border: solid transparent;
  content: " ";
  height: 0;
  width: 0;
  position: absolute;
  pointer-events: none;
  border-bottom-color: #86BB71;
  border-width: 10px;
  margin-left: -10px;
}
.encrypted_chat .chat .chat-history .my-message {
  background: #86BB71;
}
.encrypted_chat .chat .chat-history .other-message {
  background: #94C2ED;
}
.encrypted_chat .chat .chat-history .other-message:after {
  border-bottom-color: #94C2ED;
  left: 93%;
}
.encrypted_chat .chat .chat-message {
  padding: 30px;
}
.encrypted_chat .chat .chat-message textarea {
  width: 100%;
  border: none;
  padding: 10px 20px;
  font: 14px/22px "Lato", Arial, sans-serif;
  margin-bottom: 10px;
  border-radius: 5px;
  resize: none;
}
.encrypted_chat .chat .chat-message .fa-file-o, .encrypted_chat .chat .chat-message .fa-file-image-o {
  font-size: 16px;
  color: gray;
  cursor: pointer;
}
.encrypted_chat .chat .chat-message button {
  float: right;
  color: #94C2ED;
  font-size: 16px;
  text-transform: uppercase;
  border: none;
  cursor: pointer;
  font-weight: bold;
  background: #F2F5F8;
}
.encrypted_chat .chat .chat-message button:hover {
  color: #75b1e8;
}
.encrypted_chat .online, .encrypted_chat .offline, .encrypted_chat .me {
  margin-right: 3px;
  font-size: 10px;
}
.encrypted_chat .online {
  color: #86BB71;
}
.encrypted_chat .offline {
  color: #E38968;
}
.encrypted_chat .me {
  color: #94C2ED;
}
.encrypted_chat .align-left {
  text-align: left;
}
.encrypted_chat .align-right {
  text-align: right;
}
.encrypted_chat .float-right {
  float: right;
}
.encrypted_chat .clearfix:after {
  visibility: hidden;
  display: block;
  font-size: 0;
  content: " ";
  clear: both;
  height: 0;
}
